Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager
Interface IPortalPresentationManager

All Known Subinterfaces:
  PortalPresentationManager

All Known Implementing Classes:
  PortalPresentationManagerImpl

public interface IPortalPresentationManager

Provides a level of abstraction over the `IDesktopDefinitionManager` and the `IPortalDefinitionManager`.

Method Summary
`PortalResource` | `getCustomizedPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
`PortalResource` | `getPortalResource(CustomizationContext customizationContext, String webAppName, PortalPath portalPath, DesktopPath desktopPath)` Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.

Method Detail

### getPortalResource

    public PortalResource getPortalResource(CustomizationContext customizationContext,
                                            String webAppName,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath)
                                     throws RemoteException

  Returns a `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, the default `Desktop` is returned.
  If a default `Desktop` does not exist, the content uri to the `PortalDefinition` is returned.

  Parameters:
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns:
    PortalResource
  Throws:
    `RemoteException`

### getCustomizedPortalResource

    public PortalResource getCustomizedPortalResource(CustomizationContext customizationContext,
                                                      String webAppName,
                                                      PortalPath portalPath,
                                                      DesktopPath desktopPath)
                                               throws RemoteException

  Returns a customized `PortalResource` object that a combination of the `webAppName`, `PortalPath`, `DesktopPath` and user permissions resolves to.
  If this combination does not resolve to a Desktop, null is returned.

  Parameters:
    `customizationContext` - customization information
    `webAppName` - J2EE web application name
    `portalPath` - `PortalPath`
    `desktopPath` - `DesktopPath`, can be null in which case portal resource uri will be returned
  Returns:
    PortalResource
  Throws:
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved